uk.ac.starlink.feather

## Class BooleanStarColumnWriter

- java.lang.Object
- - uk.ac.starlink.feather.StarColumnWriter
  - - uk.ac.starlink.feather.BooleanStarColumnWriter

- All Implemented Interfaces:
    uk.ac.bristol.star.feather.FeatherColumnWriter

      public class BooleanStarColumnWriter
      extends StarColumnWriter

  StarColumnWriter implementation for boolean values.
  Since:
    27 Feb 2020

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class uk.ac.starlink.feather.StarColumnWriter

      `StarColumnWriter.DataStat`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BooleanStarColumnWriter(StarTable table, int icol)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ItemAccumulator` | `createItemAccumulator(StoragePolicy storage)`
    `StarColumnWriter.DataStat` | `writeDataBytes(java.io.OutputStream out)` Writes the bytes consituting the data stream for this column, excluding any optional validity mask.

    - ### Methods inherited from class uk.ac.starlink.feather.StarColumnWriter

      `getColumnIndex, getFeatherType, getName, getTable, getUserMetadata, isNullable, writeColumnBytes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BooleanStarColumnWriter

          public BooleanStarColumnWriter(StarTable table,
                                         int icol)

      Constructor.
      Parameters:
        `table` - table
        `icol` - column index

  - ### Method Detail

    - #### writeDataBytes

          public StarColumnWriter.DataStat writeDataBytes(java.io.OutputStream out)
                                                   throws java.io.IOException

      Description copied from class: `StarColumnWriter`
      Writes the bytes consituting the data stream for this column, excluding any optional validity mask. Note the output does not need to be aligned on an 8-byte boundary.
      Specified by:
        `writeDataBytes` in class `StarColumnWriter`
      Parameters:
        `out` - destination stream
      Returns:
        information about what was actually written
      Throws:
        `java.io.IOException`

    - #### createItemAccumulator

          public ItemAccumulator createItemAccumulator(StoragePolicy storage)

      Specified by:
        `createItemAccumulator` in class `StarColumnWriter`